*{
    font-family: 'Noto Sans TC', sans-serif;
    font-weight: 400;
    font-size: 15px;
    margin: 0;
    box-sizing: border-box;
}

.scroll-container{
scroll-snap-type: y mandatory;
overflow-y: scroll;
height: 100vh;
scroll-padding: 15vh;
}

/*NAVBAR*/
.navbar{
    position: sticky;
    display: flex;
    justify-content: center;
    top: 0px;
    border-bottom: 1px solid black;
    z-index: 1200;
    background-color: white;
    scroll-snap-align: start;
}

.scrolled{
    background-color:#FFD076 ;
}
.date, .stereotype-nav, .one-word, .feedback{
    padding: 20px 50px;
    font-size: 1.2rem;
}

.logo{
    position: relative;
    display: flex;
    width: 100px;
    padding: 0px 0px;
    
}

.nav-logo-img-mobile{
    align-items: center;
    justify-content: center;
    height: 60px;    
    padding-block:10%;
    padding-left: 20%;
}
.nav-logo-img{
    align-items: center;
    justify-content: center;
    height: 60px;    
    padding-left: 20%;
}

.nav-divider{
    background-color: black;
    width: 0.5px;
    flex-grow: 100%;
}

.site-counter{
    position: absolute;
    display: flex;
    align-items: center;
    right: 10px;
    height: 100%;
    color: rgb(175, 175, 175);
}

.small-text{
    font-size: 0.1rem;
}

.nav--mobile{
    position: sticky;
    border-bottom: 1px solid black;
    height: 50px;
    z-index: 1300;
    background-color: white;
    
    top:0px;
    display: none;
}

.nav--mobile__container{
    height: 50px;
    display: flex;
    align-items: center;
    width: 100%;
    margin: 0 auto;
    justify-content: space-between;
}

.nav--mobile__block{
    display: flex;
    align-items: center;
}
.nav--mobile__logo{
    padding: 0 20px 0 20px;
}
.nav--mobile__divider{
    background-color: black;
    width: 0.5px;
    height: 50px;
}
.nav--mobile__menu{
    padding: 5px 25px 0px 0px;
    width: 125%;
    height: 125%;
    display: none;
}

/*HERO-IMAGE*/
.spin-container{
    position: relative;
    display: flex;
    width: 100vw;
    max-width: 1400px;
    height: 80vh;
    /*border: 2px solid black;*/
    margin: 9vh auto;
    align-items: center;
    justify-content: center;
    scroll-snap-align: start;
    scroll-padding-top: 30vh;
    overflow: hidden;
}

.spin-title-container{
    display: flex;
}

.spin-title{
    font-size: 3em;
    font-weight: 900;
    position: relative;
    bottom: 3%;
}

.z-logo{
    width: 100%;
    height: 100%;
}

.spin-object{
    width: 10vh;
    height: 10vh;
    /*background-color: blueviolet;*/
    border-radius: 50%;
    position: absolute;
    top: 5%;
    left: 70%;
    opacity: 0;
    transform-origin: 0 35vh;
    animation: left 15s linear forwards infinite;
    animation-delay: calc(var(--order)* 1200ms);
}

@keyframes left{
    0%{
        transform: translateX(0vw);
        opacity: 1;
    }
    15%{
        transform: translateX(-35vw);
        
    }
 
    50%{
        transform: translateX(-35vw) rotate(-180deg);
    }
    65%{
        transform: translateX(0vw) rotate(-180deg);
    }
    100%{
        transform: translateX(0vw) rotate(-360deg);
        opacity: 1;
    }
}

/*COLUMN*/
.column{
    justify-content: center;
    display: flex;
    padding-block: 10vh;
    scroll-snap-align: start;
}
.row{
    margin: 1vw;
}

.coulumn__earth-and-wind{
    display: flex;
}

.coulumn__water-and-fire{
    display: flex;
}

/*COLUMN-HEAD*/
.head {
    position: relative ;   
    box-shadow:inset 0px 0px 0px 0.5px black;
    border: 1px solid black;
    padding: 0px;
    min-height: 110px;
    width: 172px;

}

.head:hover{
    top: 5px;
    left: 5px;
    background-color: rgb(250, 250, 250);
}
.head-title{
    font-weight: 700;
    font-size: 20px;
    text-align: center;
    margin-top: 0.5px;
    margin-inline: 0.7px;
    padding-block: 20px;
}
.tag{
    width: 0;
    height: 0;
    border-left: 20px solid transparent;
    position: absolute;
    top: 1%;
    right: 0.3%;
}
.head-text{
    padding-block: 10px;
    text-align:center;
}

/*UNIT*/
.unit{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow:inset 0px 0px 0px 0.5px black;
    border: 1px solid black;
    margin-top: 24px;
    height: 70px;
    width: 172px;
    border: 1px solid black;
}

.unit:hover{
    top: 5px;
    left: 5px;
    background-color: rgb(250, 250, 250);
}
.unit-title{
    margin: 5px;
    font-size: 18px;
    font-weight: 500;
}
.unit-divider{
    margin: 5px;
    font-size: 20px;
    font-weight: 100;
}
.unit-month{
    margin: 5px;
}

/*EARTH-WIND-WATER-FIRE*/
.earth-head-title{
    background-color: rgba(255, 208, 118, 0.5);
}
.earth-tag{
    border-top: 20px solid #FFD076;
}
.wind-head-title{
    background-color: rgba(92, 255, 206, 0.5);
}    
.wind-tag{
    border-top: 20px solid #5CFFCE;
}
.water-head-title{
    background-color: rgba(96, 131, 255, 0.5);
}   
.water-tag{
    border-top: 20px solid #6083FF;
}
.fire-head-title{
    background-color: rgba(255, 126, 126, 0.5);
}   
.fire-tag{
    border-top: 20px solid #FF7E7E;
}

.time-line-and-carousel{
    scroll-snap-align: start;
    scroll-margin-top: -7vh;
}


/*ACTUAL TIMELINE*/
.timeline__container{
    width: 100vw;
    max-width: 1204px;
    margin: 0 auto;
    overflow-x: auto;
}

.timeline__container::-webkit-scrollbar{
    width: 0;
}

.time-line{
    transition: 1s;
    width: 1204px;
    position: relative;
    display: flex;
    justify-content: center;
    margin: 4vh 0;
}

.time-unit{
    
    height:fit-content;
    text-align: center;
    width: 100px;;
    font-size: 12px;
    z-index: -100;
}

.upper{
    padding-block: 10px;
    border-bottom: 2px solid black;
    border-right: 2px solid black;
}
.upper-end{
    padding-block: 10px;
    border-bottom: 2px solid black;
    
}

.lower{
    padding: 10px 3px;
    border-right: 2px solid black;
    font-family: 'Roboto', sans-serif;
    background-color: rgba(255, 255, 255, 0.5);
}
.lower-end{
    padding: 10px 3px;
    font-family: 'Roboto', sans-serif;
}


.earth-unit{
    background:rgba(255, 208, 118, 0.5);
}
.wind-unit{background: rgba(92, 255, 206, 0.5);
}
.water-unit{background-color: rgba(96, 131, 255, 0.5)}
.fire-unit{background: rgba(255, 126, 126, 0.5);}


/*CAROUSEL*/
.carousel{
    position: relative;
    height: 480px;
    width: 80%;
    margin: 0 auto 20vh auto;
}

.carousel-track-container{
    position: relative;
    height: 100%;
    overflow: hidden;
    margin-bottom: 2vh;
}

.carousel-track{
    padding: 0;
    margin: 0;
    list-style: none;
    position: relative;
    height: 100%;
    transition: transform 250ms ease-in;
}

.carousel-slide{
    position: absolute;
    display: flex;
    top: 0;
    bottom: 5%;
    width: 300px;
    margin-inline:calc(calc(calc(100vw - 300px)/2) - 10vw);
}

.girl-card{
    width: 98.5%;
    height: 99%;
    border: 1px solid black;
    background-color: white;
}

.carousel-image{
    width: 90%;
    height: 90%;
    margin: 5%;
    margin-bottom: 0;
    object-fit: cover;
}
.zodiac-name{
    font-size: 1.2rem;
    font-weight: 700;
}

.description{
    margin: 5%;
    margin-top: 0;
}

.divider{
    width: 100%;
    height: 1px;
    background-color: black;
    margin-block: 5%;
}

.adj{
    display: flex;
    flex-wrap: wrap;
}

.adj-child{
    padding-block: .1em;
    padding-inline: 1em;
    color: white;
    background-color: black;
    border-radius: 20px;
    margin-right: 0.3em;
    margin-bottom: 0.3em;
}

.tag-btm-r{
    width: 0;
    height: 0;
    border-left: 40px solid transparent;
    position: absolute;
    bottom: 1.2%;
    right: 2%;
    z-index: 999;
    border-bottom: 40px solid #5CFFCE;
}

.carousel-button{
    position: absolute;
    top: 50%;
   
    height: 200px;
    cursor: pointer;
    background-color: white;
}

.btn-left{
    left: 0%;
    z-index: 1000;
    transform: translateY(-50%) translateX(-110%);
    color: black;
}

.btn-right{
    right: 0%;
    transform: translateY(-50%) translateX(110%);
    color: black;
}

.carousel-nav{
    /*display: flex;*/
    display: none;
    padding: 10px;
    justify-content: center;
    background-color: none;
}

.carousel-indicator{
    border: 0;
    border-radius: 50%;
    width: 15px;
    height: 15px;
    background-color: black;
    margin: 0 12px;
    cursor: pointer;

}

.current-slide{
    background: rgba(0, 0, 0, 0.555);
    transform: translateY(10px);
}

.is-hidden{
    display: none;
}

/*RANDOM WORD*/
.random-container{
    width: 100%;
    height: 80vh;
    margin-bottom: 10vh;
    border: 1px solid white;
    scroll-snap-align: start;
}

.random-header{
    margin: 10vh auto;
    display: flex;
    text-align: center;
    align-items: center; 
    justify-content: center;
}

.random-header-title{
    font-size: 2rem;
    width: 70%;
    max-width: 600px;
    padding-block: 1rem;
    height: 5rem;
    border: 1px solid black;
}

.random-btn{
    font-size: 1.8rem;
    padding-inline: 1rem;
    height: 5rem;
    color: white;
    background-color: black;
}

.random-btn:hover{
    background-color: rgb(77, 77, 77);
}

.random-btn:active{
    background-color: rgb(104, 104, 104);
}

.random-quote-container{
    text-align: center;
    line-height: 3rem;
    margin-inline: 10vw;
}

.random-quote{
    font-size: 1.5rem;
}

.big-comma{
    color: coral;
    font-size: 3rem;
    padding-inline: 1rem;
}

.random-btn-container{
    display: flex;
    justify-content: center;
}

.copy-btn{
    position: relative;
    margin: 4rem;
    padding: 1rem 2rem;
    background-color: rgba(96, 131, 255, 0.5);
    border: 1px solid black;
    color: black;
}

.copy-btn:active{
    background-color: rgba(55, 98, 255, 0.5);
}

.copy-btn:before{
    content: "已複製";
    position: absolute;
    top: -50px;
    right:10px;
    color: white;
    background-color: black;
    padding: 8px 10px;
    border-radius: 20px;
    font-size: 15px;
    display: none;
}
.copy-btn:after{
    content:"";
    position: absolute;
    top: -20px;
    right: 40px;
    width: 10px;
    height: 10px;
    height: 10px;
    background-color: black;
    transform: rotate(45deg);
    display: none;
}

.copy-btn.active:before,
.copy-btn.active:after{
    display: block;
}
/*FEEDBACK*/

.feedback-container{
    background-color: rgba(236, 241, 255, 0.479);
    display: flex;
    height: 60vh;
    justify-content: center;
    align-items: center;
    scroll-snap-align: start;
}

.feedback-header{
    font-size: 1.8rem;
}

.feedback-btn{
    margin: 2rem 0;
    padding: 1rem 2rem;
    background: rgba(255, 126, 126, 0.5);
    border: 1px solid black;
    color: black;
}

.feedback-header-container{
    width: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.arrow{
    margin: 1rem;
}

@media (max-width: 780px){
    .navbar{
        display: none;
        scroll-snap-align:initial;
    }
    .nav--mobile{
        display: flex;
        scroll-snap-align: start;
    }

    .spin-title-container{
        flex-direction: column;
        align-items: center;
    }

    .spin-object{
        animation: left 10s linear forwards infinite;
        animation-delay: calc(var(--order)* 1200ms);
        
    }

    .column{
        margin: 0;
        flex-direction:column;
        align-items: center;
        scroll-margin: -15vh;
    }

    .coulumn__earth-and-wind{
        padding-bottom: 4vh;
    }

    .head{
        width: 40vw;
        max-width: 172px;
    }

    .unit{
        width: 40vw;
        max-width: 172px;
        margin-top: 12px;
    }

    .feedback-header-container{
        text-align: center;
        flex-direction: column;
    }

    .feedback-header{
        width: 80vw;
    }

    .arrow{
        transform: rotateZ(90deg);
    }

    .feedback-btn{
        margin-top: 0;
    }
}

@media (max-width: 550px){

    .random-header-title{
        font-size: 1.5rem;
        width: 80%;
        max-width: 600px;
        padding-block: 1.3rem 0.7rem;
    }
    
    .random-btn{
        font-size: 1.3rem;
        padding-inline: .5rem;
    } 

    .spin-object{
        width: 10vh;
        height: 10vh;
        /*background-color: blueviolet;*/
        border-radius: 50%;
        position: absolute;
        top: 0%;
        left: 50%;
        opacity: 0;
        transform-origin: 0vw 40vh;
        animation: left-mobile 15s linear forwards infinite;
        animation-delay: calc(var(--order)* 1200ms);
    }
    
    @keyframes left-mobile{
        0%{
            transform: rotateZ(-90deg);
            opacity: 1;
        }
        100%{
            transform: rotateZ(270deg);
            opacity: 1;
        }
    }
}